# PRFC1155_IpAddress Class Reference

`#include <rfc1155.h>`

Inheritance diagram for PRFC1155_IpAddress:

List of all members.

## Public Member Functions

| PRFC1155_IpAddress (unsigned tag=0, TagClass tagClass=ApplicationTagClass)
| PRFC1155_IpAddress (const char *v)
| PRFC1155_IpAddress (const PString &v)
| PRFC1155_IpAddress (const PBYTEArray &v)
PRFC1155_IpAddress & | operator= (const char *v)
PRFC1155_IpAddress & | operator= (const PString &v)
PRFC1155_IpAddress & | operator= (const PBYTEArray &v)
PObject * | Clone () const
| Create a copy of the class on the heap.

## Constructor & Destructor Documentation

PRFC1155_IpAddress::PRFC1155_IpAddress | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

PRFC1155_IpAddress::PRFC1155_IpAddress | ( | const char * | v | ) |

PRFC1155_IpAddress::PRFC1155_IpAddress | ( | const PString & | v | ) |

PRFC1155_IpAddress::PRFC1155_IpAddress | ( | const PBYTEArray & | v | ) |

## Member Function Documentation

PObject* PRFC1155_IpAddress::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PASN_OctetString.

PRFC1155_IpAddress& PRFC1155_IpAddress::operator= | ( | const PBYTEArray & | v | ) |

Reimplemented from PASN_OctetString.

PRFC1155_IpAddress& PRFC1155_IpAddress::operator= | ( | const PString & | v | ) |

Reimplemented from PASN_OctetString.

PRFC1155_IpAddress& PRFC1155_IpAddress::operator= | ( | const char * | v | ) |

Reimplemented from PASN_OctetString.

The documentation for this class was generated from the following file:

- rfc1155.h